searchNodes=[{"type":"module","title":"ExM3U8","doc":"ExM3u8 A library for deserializing and serializing M3U8 format (known from HLS). Functionality The whole package operates on 2 types of playlists mentioned in HLS specification . Multivariant playlist Media playlist Multivariant playlist is responsible for listing available renditions (video, audio and subtitle tracks). Each variant is represented by its own media playlist which lists media segments that are necessary to start a proper playback. Note Due to the large number of tags in the HLS spec, the library for now only supports the essential ones. If a tag is missing a user may want to implement a custom tag parser or create a PR with a support for the new tag.","ref":"ExM3U8.html"},{"type":"function","title":"ExM3U8.deserialize_media_playlist/2","doc":"Deserializes given playlist string into a media playlist structure.","ref":"ExM3U8.html#deserialize_media_playlist/2"},{"type":"function","title":"ExM3U8.deserialize_media_playlist!/2","doc":"Sames as deserialize_media_playlist/2 but raises on error.","ref":"ExM3U8.html#deserialize_media_playlist!/2"},{"type":"function","title":"ExM3U8.deserialize_multivariant_playlist/2","doc":"Deserialies given playlist string into a multivariant playlist structure.","ref":"ExM3U8.html#deserialize_multivariant_playlist/2"},{"type":"function","title":"ExM3U8.deserialize_multivariant_playlist!/2","doc":"","ref":"ExM3U8.html#deserialize_multivariant_playlist!/2"},{"type":"function","title":"ExM3U8.deserialize_playlist/2","doc":"Tries to deserialize playlist string into either a multivariant playlist or a media playlist. Note that this function first tries to deserialize a multivariant playlist and if it failes it tries to deserialize a media playlist so any errors from multivariant playlist parsing will be ignored and the eventual error will come from media playlist parsing.","ref":"ExM3U8.html#deserialize_playlist/2"},{"type":"function","title":"ExM3U8.deserialize_playlist!/2","doc":"Same as deserialize_playlist/2 but raises on error.","ref":"ExM3U8.html#deserialize_playlist!/2"},{"type":"function","title":"ExM3U8.serialize/1","doc":"Serializes given playlist into a string.","ref":"ExM3U8.html#serialize/1"},{"type":"type","title":"ExM3U8.custom_tag_parser_reusult_t/0","doc":"","ref":"ExM3U8.html#t:custom_tag_parser_reusult_t/0"},{"type":"type","title":"ExM3U8.custom_tag_parser_t/0","doc":"Signature of a custom tag parser function. A custom parser is called on each line that a built-in parser couldn't handle. As an input it receives the current line and the remaining lines of the original string. As a result it should either skip the current lilne, return a tag and new list of remaining lines (handling a targ could take several lines) or return an error. Note that the custom parser will be only used for tags/lines that haven't been handled by the built-in parser so it can't override the default handling of supported tags.","ref":"ExM3U8.html#t:custom_tag_parser_t/0"},{"type":"type","title":"ExM3U8.deserialize_opt_t/0","doc":"","ref":"ExM3U8.html#t:deserialize_opt_t/0"},{"type":"protocol","title":"ExM3U8.Serializer","doc":"Protocol for serializing playlist tags into iodata that is further used for generating manifest string.","ref":"ExM3U8.Serializer.html"},{"type":"function","title":"ExM3U8.Serializer.serialize/1","doc":"","ref":"ExM3U8.Serializer.html#serialize/1"},{"type":"type","title":"ExM3U8.Serializer.t/0","doc":"All the types that implement this protocol.","ref":"ExM3U8.Serializer.html#t:t/0"},{"type":"module","title":"ExM3U8.Tags.ContentSteering","doc":"Structure representing a content steering tag.","ref":"ExM3U8.Tags.ContentSteering.html"},{"type":"type","title":"ExM3U8.Tags.ContentSteering.t/0","doc":"","ref":"ExM3U8.Tags.ContentSteering.html#t:t/0"},{"type":"module","title":"ExM3U8.Tags.Discontinuity","doc":"Structure representing media discontinuity.","ref":"ExM3U8.Tags.Discontinuity.html"},{"type":"type","title":"ExM3U8.Tags.Discontinuity.t/0","doc":"","ref":"ExM3U8.Tags.Discontinuity.html#t:t/0"},{"type":"module","title":"ExM3U8.Tags.Key","doc":"Structure representing a key tag.","ref":"ExM3U8.Tags.Key.html"},{"type":"type","title":"ExM3U8.Tags.Key.method/0","doc":"","ref":"ExM3U8.Tags.Key.html#t:method/0"},{"type":"type","title":"ExM3U8.Tags.Key.t/0","doc":"","ref":"ExM3U8.Tags.Key.html#t:t/0"},{"type":"module","title":"ExM3U8.Tags.Media","doc":"Structure representing a media tag.","ref":"ExM3U8.Tags.Media.html"},{"type":"type","title":"ExM3U8.Tags.Media.t/0","doc":"","ref":"ExM3U8.Tags.Media.html#t:t/0"},{"type":"module","title":"ExM3U8.Tags.MediaInit","doc":"Structre represening media initialization section of for media segments.","ref":"ExM3U8.Tags.MediaInit.html"},{"type":"type","title":"ExM3U8.Tags.MediaInit.t/0","doc":"","ref":"ExM3U8.Tags.MediaInit.html#t:t/0"},{"type":"module","title":"ExM3U8.Tags.Part","doc":"Structure representing a media part (partial segment/chunk).","ref":"ExM3U8.Tags.Part.html"},{"type":"type","title":"ExM3U8.Tags.Part.t/0","doc":"","ref":"ExM3U8.Tags.Part.html#t:t/0"},{"type":"module","title":"ExM3U8.Tags.PreloadHint","doc":"Structure representing a preload hint present in a media playlist.","ref":"ExM3U8.Tags.PreloadHint.html"},{"type":"type","title":"ExM3U8.Tags.PreloadHint.t/0","doc":"","ref":"ExM3U8.Tags.PreloadHint.html#t:t/0"},{"type":"module","title":"ExM3U8.Tags.ProgramDateTime","doc":"Structure representing program date time of the following media segment/chunk.","ref":"ExM3U8.Tags.ProgramDateTime.html"},{"type":"type","title":"ExM3U8.Tags.ProgramDateTime.t/0","doc":"","ref":"ExM3U8.Tags.ProgramDateTime.html#t:t/0"},{"type":"module","title":"ExM3U8.Tags.RenditionReport","doc":"Structure representing a rendition report.","ref":"ExM3U8.Tags.RenditionReport.html"},{"type":"type","title":"ExM3U8.Tags.RenditionReport.t/0","doc":"","ref":"ExM3U8.Tags.RenditionReport.html#t:t/0"},{"type":"module","title":"ExM3U8.Tags.Segment","doc":"Structure representing a media segment.","ref":"ExM3U8.Tags.Segment.html"},{"type":"type","title":"ExM3U8.Tags.Segment.t/0","doc":"","ref":"ExM3U8.Tags.Segment.html#t:t/0"},{"type":"module","title":"ExM3U8.Tags.Stream","doc":"Structure representing a single media stream information. Tag is present only in multivariant playlists.","ref":"ExM3U8.Tags.Stream.html"},{"type":"type","title":"ExM3U8.Tags.Stream.t/0","doc":"","ref":"ExM3U8.Tags.Stream.html#t:t/0"},{"type":"module","title":"ExM3U8.MediaPlaylist","doc":"Structure representing a media playlist.","ref":"ExM3U8.MediaPlaylist.html"},{"type":"type","title":"ExM3U8.MediaPlaylist.custom_tag_t/0","doc":"","ref":"ExM3U8.MediaPlaylist.html#t:custom_tag_t/0"},{"type":"type","title":"ExM3U8.MediaPlaylist.t/0","doc":"","ref":"ExM3U8.MediaPlaylist.html#t:t/0"},{"type":"module","title":"ExM3U8.MultivariantPlaylist","doc":"Structure representing a multivariant playlist.","ref":"ExM3U8.MultivariantPlaylist.html"},{"type":"type","title":"ExM3U8.MultivariantPlaylist.custom_tag_t/0","doc":"","ref":"ExM3U8.MultivariantPlaylist.html#t:custom_tag_t/0"},{"type":"type","title":"ExM3U8.MultivariantPlaylist.t/0","doc":"","ref":"ExM3U8.MultivariantPlaylist.html#t:t/0"},{"type":"module","title":"ExM3U8.MediaPlaylist.Info","doc":"Structure representing media's playlist information.","ref":"ExM3U8.MediaPlaylist.Info.html"},{"type":"type","title":"ExM3U8.MediaPlaylist.Info.t/0","doc":"","ref":"ExM3U8.MediaPlaylist.Info.html#t:t/0"},{"type":"module","title":"ExM3U8.MediaPlaylist.ServerControl","doc":"Structure representing server's control information of media playlist.","ref":"ExM3U8.MediaPlaylist.ServerControl.html"},{"type":"type","title":"ExM3U8.MediaPlaylist.ServerControl.t/0","doc":"","ref":"ExM3U8.MediaPlaylist.ServerControl.html#t:t/0"},{"type":"extras","title":"ExM3u8","doc":"A library for deserializing and serializing M3U8 format (known from HLS).","ref":"readme.html"},{"type":"extras","title":"ExM3u8 - Install","doc":"The package can be installed by adding ex_m3u8 into your list of dependencies in mix.exs : def deps do [ { :ex_m3u8 , &quot;~&gt; 0.8.0&quot; } ] end","ref":"readme.html#install"},{"type":"extras","title":"ExM3u8 - Functionality","doc":"The whole package operates on 2 types of playlists mentioned in HLS specification . Multivariant playlist Media playlist Multivariant playlist is responsible for listing available renditions (video, audio and subtitle tracks). Each variant is represented by its own media playlist which lists media segments that are necessary to start a proper playback.","ref":"readme.html#functionality"},{"type":"extras","title":"ExM3u8 - Usage","doc":"The library provides 4 public functions (and their '!' versions) that can be used by library's users ExM3U8.serialize/1 ExM3U8.deserialize_playlist/2 ExM3U8.deserialize_media_playlist/2 ExM3U8.deserialize_multivariant_playlist/2 Note Due to the large number of tags in the HLS spec, the library for now only supports the essential ones. If a tag is missing a user may want to implement a custom tag parser or create a PR with a support for the new tag.","ref":"readme.html#usage"}]